TYPO3.Fluid - Bug #3651

Call to a member function getBackend() on a non-object
2009-06-12 20:37 - Bastian Waidelich

Status: Resolved Start date: 2009-06-12
Priority: Should have Due date:

Assignee: Bastian Waidelich % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Has patch:

Description

When setting an object as value in View Helpers extending Tx_Fluid_ViewHelpers_Form_AbstractFormViewHelper, a fatal error is
thrown.

<f:form.textbox value="{someObject}" />

->

Fatal error: Call to a member function getBackend() on a non-object in [TYPO3ROOT]\typo3conflext\f
luid\Classes\ViewHelpers\Form\AbstractFormViewHelper.php on line 84

Reason:

Some left overs from the Fluid backport:

if (is_object ($this->arguments|['value']) && NULL !== S$this->persistenceManager->getBackend()->getU
UIDByObject ($this->arguments|['value'])) {
Sname .= '[__identity]';

}
This should rather be something like:
if (is_object ($this->arguments|['value']) && is_callable(array($this->arguments|['value'], 'getUid')
)) Ao
Sname .= 'J[uid]';

}

as in renderHiddenldentityField() of the FormViewHelper.

Related issues:
Related to TYPO3.Fluid - Feature #3317: AbstractFormViewHelper must be adjust... Resolved 2009-05-15

History

#1 - 2009-06-15 15:01 - Bastian Waidelich
- Status changed from New to Resolved

- % Done changed from 0 to 100

Applied in changeset r818.

#2 - 2009-10-21 17:53 - Bastian Waidelich
- Project changed from 534 to TYPO3.Fluid
- Category deleted (432)
